On Fri, Feb 23, 2001 at 11:29:12AM -0800, Matthew Jacob wrote:
> On Fri, 23 Feb 2001, Kris Kennaway wrote:
> 
> > On Fri, Feb 23, 2001 at 11:23:23AM -0800, Matthew Jacob wrote:
> > 
> > > The problem is that libtermcap.so, still hanging around, is used by things
> > > that don't usually get rebuilt in a buildworld/installworld run (like X11
> > > tools like xterm)- and attempts to use such things yield:
> > 
> > lrwxr-xr-x  1 root  wheel     12 Feb 23 00:55 /usr/lib/libtermcap.a -> libncurses.a
> > lrwxr-xr-x  1 root  wheel     13 Feb 23 00:55 /usr/lib/libtermcap.so -> 
>libncurses.so
> > -r--r--r--  1 root  wheel  15160 Apr 24  2000 /usr/lib/libtermcap.so.2
> > l
> > 
> > Remove your stale libraries - this one went away before 4.0-REL.
> 
> ...Which then also begs the question- if I put this all into /usr/lib/compat-
> and libtermcap.so still whines about missing __stderr- is this a "we don't
> care- it's too old"?

You shouldn't be building new binaries which link against libtermcap
(i.e. this should never happen) - it's only there for existing
binaries which would be linked against libc.so.3 also (both of which
are under compat/) and should continue to work.

Kris

PGP signature

Reply via email to